/*
 * Two Levels Segregate Fit memory allocator (TLSF)
 * Version 2.4.6
 *
 * Written by Miguel Masmano Tello <mimastel@doctor.upv.es>
 *
 * Thanks to Ismael Ripoll for his suggestions and reviews
 *
 * Copyright (C) 2008, 2007, 2006, 2005, 2004
 *
 * This code is released using a dual license strategy: GPL/LGPL
 * You can choose the licence that better fits your requirements.
 *
 * Released under the terms of the GNU General Public License Version 2.0
 * Released under the terms of the GNU Lesser General Public License Version 2.1
 *
 */
#ifndef _TARGET_H_
#define _TARGET_H_

#include <tal.h>
#include <tcts.h>

#define TLSF_MLOCK_T            os_sema_t
#define TLSF_CREATE_LOCK(l)     OSSemaCreate(l, 1, 1)
#define TLSF_DESTROY_LOCK(l)    TAL_FAILED()
#define TLSF_ACQUIRE_LOCK(l)    OSSemaWait(l, OS_WAIT_INFINITE)
#define TLSF_RELEASE_LOCK(l)    OSSemaSignal(l)

#endif

/*** EOF ***/
